/* CSS Style Rules
 * ==========================================================================
 *  - Honour Google style rules https://google.github.io/styleguide/htmlcssguide.html#CSS_Style_Rules
 *  - use American spellings to remain consistent with CSS
 *  - use the --space-xx custom properties for margins and padding
 *  - use the --radius-xx custom properties for border-radius
 *  - use the --font-xxx custom properties for font-size
 *  - use the --size-xx custom properties for widths and heights (where possible)
 **/

/* Document wide constants
   ================================================================================ */
:root {
    --radius-xs: 0.25rem;
    --radius-sm: 0.5rem;
    --radius-md: 1rem;
    --size-xs: 0.5rem;
    --size-sm: 1.5rem;
    --size-md: 2.5rem;
    --size-lg: 3.5rem;
    --size-xxl: 8rem;
    --space-01: 0.25rem;
    --space-02: 0.375rem;
    --space-03: 0.5rem;
    --space-04: 0.75rem;
    --space-05: 1rem;
    --space-06: 1.25rem;
    --space-07: 1.5rem;
    --space-08: 1.75rem;
    --space-09: 2rem;
    --space-10: 2.5rem;
    --space-11: 3.5rem;
    --space-12: 4rem;
    --space-13: 4.25rem;
    --space-m01: -0.25rem;
}

/* Color Themes
 * ==========================================================================
 * Theme Data attribute applied to HTML dom element.
 * The default is the blue/white theme below.
 *
 * ACCESSIBILITY: an option of a black-and-white colour scheme is available.
 * It helps those with visual impairments.
 * It can be switched from the accessibility menu.
 **/
[data-theme="default"] {
    --color-background: #fbfdfa;
    --color-primary: rgb(1, 203, 225);
    --color-secondary: rgb(1, 40, 60);
    --color-tertiary: #426277;
    --color-call-to-action: #ba1a1a;
    --color-call-to-action-hover: rgb(240, 0, 0);
    --color-outline: #6f7975;
    --color-button-active: rgb(1, 203, 225);
    --color-on-primary: #ffffff;
    --color-on-secondary: #ffffff;
    --color-on-tertiary: #ffffff;
    --color-on-call-to-action: #ffffff;
    --color-on-background: rgb(0, 55, 85);
    --color-alpha-active: rgba(0, 0, 0, 0.1);
    --color-alpha-hover: rgba(0, 55, 85, 0.2);
    --color-gradient-start: rgba(1, 40, 60, 0);
    --color-gradient-end: rgba(1, 40, 60, 1);
    --gray-scale-value: 0;
}

/* Accessible grayscale color theme */
[data-theme="accessible"] {
    --color-background: #ffffff;
    --color-primary: #dadada;
    --color-secondary: rgb(70, 70, 70);
    --color-tertiary: #313131;
    --color-call-to-action: #000000;
    --color-call-to-action-hover: #262626;
    --color-outline: #525252;
    --color-button-active: rgb(1, 203, 225);
    --color-on-primary: #ffffff;
    --color-on-secondary: #ffffff;
    --color-on-tertiary: #ffffff;
    --color-on-call-to-action: #ffffff;
    --color-on-background: #000000;
    --color-alpha-active: rgba(100, 100, 100, 0.3);
    --color-alpha-hover: rgba(100, 100, 100, 0.2);
    --color-gradient-start: rgba(70, 70, 70, 0);
    --color-gradient-end: rgba(70, 70, 70, 1);
    --gray-scale-value: 1;
}

/* Fonts
   ========================================================================== */

/* Load locally stored fonts */
@font-face {
    font-family: "Noto Sans";
    src: url("../assets/fonts/Noto_Sans/NotoSans-VariableFont_wdth,wght.ttf") format("truetype supports variations"),
    url("../assets/fonts/Noto_Sans/NotoSans-VariableFont_wdth,wght.ttf") format("truetype-variations");
    font-style: normal;
}

/* As default, use NotoSans fonts by Google as it is a well tested and readable font.*/
[data-font-family="default"] {
    --font-family: "Noto Sans"
}

/*
 * ACCESSIBILITY: an option of the Courier font is available.
 * It can be switched from the accessibility menu
 **/
[data-font-family="accessible"] {
    --font-family: Courier, monospace;
}

/* Font size data attribute applied to HTML dom element,
 * to control the font size across all styles.
 *
 * ACCESSIBILITY: an option of a larger font selection is available. It helps
 * those with visual impairments.
 **/
[data-font-size="default"] {
    --font-xs: 0.578rem;
    --font-sm: 0.694rem;
    --font-md: 1rem;
    --font-lg: 1.3rem;
    --font-xl: 1.6rem;
    --font-xxl: 2.3rem;
    --font-xxxl: 3.2rem;
}

/* Accessible font size, switched using the accessibility menu. JavaScript changes data attribute  */
[data-font-size="accessible"] {
    --font-xs: 0.65rem;
    --font-sm: 0.75rem;
    --font-md: 1.1rem;
    --font-lg: 1.4rem;
    --font-xl: 1.7rem;
    --font-xxl: 2.4rem;
    --font-xxxl: 3.3rem;
}

/* Links
   ========================================================================== */
/* As default, don't underline links*/
[data-underline-links="default"] {
    --text-decor-for-links: none;
}

/*
 * ACCESSIBILITY: an option to underline links, making them even more obvious
 **/
[data-underline-links="accessible"] {
    --text-decor-for-links: underline;
}

button {
    text-decoration: var(--text-decor-for-links);
}

/* Additional normalization (for base normalization, see normalize.css)
   ========================================================================== */

/* Smooth scroll the entire document (test using on scroll back to top button)
ACCESSIBILITY: helps those with cognitive impairments
*/
html {
    scroll-behavior: smooth;
}

/* Ensure that margin is outside and padding is inside on ALL browsers */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* Document-level styles
   ========================================================================== */

body {
    font-weight: 300;
    font-size: var(--font-md);

    /* Use web-safe fonts as backup. Note that this cascades to headings and paragraphs. */
    font-family: var(--font-family), sans-serif, serif, monospace;

    /* Set the default background color to be the dark blue version. */
    background-color: var(--color-secondary);
    color: var(--color-on-secondary);

    /* Mobile first: use a single column grid as default */
    display: grid;
    grid: auto-flow / 1fr;
    grid-template-areas:
    "header"
    "hero"
    "banner"
    "main"
    "footer";
}

/* Define grid areas */
.hero {
    grid-area: hero;
}

.banner {
    grid-area: banner;
}

main {
    grid-area: main;
}

footer {
    grid-area: footer;
}

/* Headings styles
   ========================================================================== */

/* Make the first three heading levels all caps to enable them to stand out mores and
 *  give a sense of familiarity across pages and articles.
 */
h1,
h2,
h3 {
    text-transform: uppercase;
}

/* The heading within the hero and banner overlays */
h1 {
    font-size: var(--font-xl);
    text-align: center;
    font-weight: 400;

    /* As the hero and banner occupy the full viewports, set the padding to be slightly
     * off the right edge of the viewport. This ensures that the text honours the Gutenberg
     * diagram and yet, is not too close to the edges of the viewport.
     */
    padding: 0 var(--space-03) 15vh var(--space-03);
}

/* h2 is typically the article heading, and should have the primary colour scheme.
 * Furthermore, it is as important as the banner and so retain the same font size and have more weight.
 */
h2 {
    color: var(--color-primary);
    font-size: var(--font-xl);
    font-weight: 500;
    padding: var(--space-04) 0;
    text-align: center;
}

/* h3 is typically the section heading. The sections are effectively subsections of the articles.
 * They should have the be slightly smaller than the h2s, with color contrasting the main body background color.
 */
h3 {
    font-size: var(--font-lg);
    color: var(--color-background);
    font-weight: 300;
    padding: var(--space-03) 0;
}

/* If the dark class is added, use a darker shade for the heading */
h3.dark {
    color: var(--color-secondary);
}

/* Emphasize the spans within the h3s with the primary sky blue color */
h3 > span {
    color: var(--color-primary);
    font-weight: 600;
}

/* h4 are typically the sub-section (divs, forms etc.) headings.
 * The main emphasis is with the slightly weighty font.
 */

h4 {
    font-size: var(--font-md);
    font-weight: 400;
    padding: var(--space-03) 0;
}

/* Styling for medium viewports such as tablets and mobile in landscape mode */
@media only screen and (min-width: 768px) {

    /* Increase font sizes by one level for each heading level */
    h1 {
        font-size: var(--font-xxl);

        /* Increase padding to maintain Gutenberg diagram on this viewport */
        padding: 0 var(--space-07) 15vh var(--space-03);
    }

    h2 {
        font-size: var(--font-xxl);
    }

    h3 {
        font-size: var(--font-xl);
    }

    h4 {
        font-size: var(--font-lg);
    }

}

/* Styling for large viewports such as desktops */
@media only screen and (min-width: 1080px) {

    /* Only the hero/banner text should be larger to standout significantly on a large viewport.
     * All other text can remain at the mobile size as this website is unlikely to be viewed on
     * enormous screens.
     */
    h1 {
        font-size: var(--font-xxxl);
        padding: 10vh;
    }
}

/* Base styles for other common DOM elements
 * ==========================================================================
 *
 * CAUTION: Some of these styles are overridden by "specific" selectors
 * further down the stylesheet.
**/

img {
    /* Ensure that all images occupy 100% of their container's widths,
     * while also limiting any auto-sizing to a maximum of 100%.
     */
    width: 100%;
    max-width: 100%;

    /* Keep aspect ratio */
    height: auto;

    /* Add a grayscale filter to all images, with a variable grayscale value (zero in default color theme) */
    filter: grayscale(var(--gray-scale-value));
}

/* Base style for links is without underlines, dark blue with a slightly weighty font */
a {
    text-decoration: var(--text-decor-for-links);
    color: var(--color-tertiary);
    font-weight: 400;
    font-size: var(--font-md);
}

/* Emphasize spans within paragraphs with a weighty font */
p > span {
    font-weight: 700;
}

/* Table styling */
table {
    /* Ensure borders are shared across  */
    border-collapse: collapse;

    /* Responsive: max content width ensures that part of the table don't wrap onto the next line */
    width: max-content;
    text-align: left;
}

/* Add some white space around cells for a cleaner looking table */
th,
td {
    padding: var(--space-02);
}

/* Make the table heading bold */
th {
    font-weight: 700;
}

/* Table row styling */
tr {
    border-top: 1px solid var(--color-outline);
}

/* Styling for embeds */
iframe {
    border: 1px solid var(--color-outline);
    border-radius: var(--radius-sm);

    /* Limit to 100% of the container width and  */
    max-width: 100%;
    max-height: 26rem;
}

/* Mobile first: stack in column */
article {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 100%;

    /* Let the content dictate height */
    height: auto;

    /* Equal left-right padding but more bottom padding */
    padding: var(--space-06) var(--space-04) var(--space-09) var(--space-04);
    margin: 0;
}

/* Ensure address does not appear italicized */
address {
    font-style: normal;
}

/* Header Styling
========================================================================== */

/* This styles the header element at the top of the page */
header {
    /* USe the full width of the body (in this case also viewport) */
    width: 100%;

    /* Stick to the top of the viewport when scrolling */
    position: fixed;
    top: 0;

    /* Smooth transition to hidden when scrolling */
    transition: top 0.35s ease-in-out;
    height: auto;

    /* Stack content vertically */
    display: flex;
    flex-direction: column;

    background-color: var(--color-background);

    /* Ensures the header appears above other elements */
    z-index: 100;
}

/* Base styling for all buttons that belong to the header. Specific styles applied later */
header button {
    border: none;
    cursor: pointer;
    padding: 0;
}

/* Nav Styling
========================================================================== */

/* Base styling for the navigation menu */
nav {

    /* Take up full container width and make the nav a flex container */
    width: 100%;
    display: flex;

    /* Allow the collapsible burger menu to wrap to multiple lines on small screens */
    flex-wrap: wrap;
    justify-content: space-between; /* Spreads content horizontally */
    align-items: center; /* Aligns content vertically */
}

/* This class positions the nav bar off-screen (used for hiding the nav bar on scroll) */
.nav-up {
    top: -100vh;
}

/* Styles the collapsible part of the burger menu */
nav > ul {

    /* This 100% width forces the flex wrap to kick in */
    width: 100%;
    margin: 0;
    padding: 0;

    /* Visually moves the list to the next row on small screens */
    order: 1;

    overflow: hidden;

    /* Collapse the menu by default */
    max-height: 0;

    /* Animation for the menu */
    transition-property: max-height;
    transition-timing-function: ease-in-out;
    transition-delay: 0s;
    transition-duration: 0.35s;
}

/* Remove default bullet points */
nav > ul > li {
    list-style-type: none;
}

/* Specific styling for the links within the navigation list */
nav > ul > li > a {
    padding: var(--space-04);
    font-weight: 600; /* Bold font weight */
    font-size: var(--font-md);
    display: block;
    color: var(--color-on-background);
    text-transform: uppercase;
    text-align: center;
    text-decoration: var(--text-decor-for-links);
}

/* Link hover styling: Helps the user to know where they will be going by adding a hover styling */
nav > ul > li > a:hover {
    background-color: var(--color-alpha-hover);
}

/* Active link styling: Helps the user to know where they currently are */
.active > a {
    background-color: var(--color-alpha-active);
}

/* Styles the navigation menu when opened */
.open {
    max-height: 80vh;

    /* Ensures the open menu appears in front of other buttons on the page, and remains clickable. */
    z-index: 1999;
}

/* Defines animation keyframes for burger menu open/close.
 * On close, the X rotates to the three lines of the burger menu.
 * On open, the three lines of the burger menu rotate to form an X.
 * The effect is achieved by simply making the bars or the cross opaque at different stages of the animation.
 */
@keyframes rotateToClose {
    0% {
        transform: rotate(0deg);
        opacity: 0;
    }
    50% {
        transform: rotate(90deg);
        opacity: 0.5;
    }
    100% {
        transform: rotate(180deg);
        opacity: 1;
    }
}

@keyframes rotateToBurger {
    0% {
        transform: rotate(180deg);
        opacity: 0;
    }
    50% {
        transform: rotate(90deg);
        opacity: 0.5;
    }
    100% {
        transform: rotate(0deg);
        opacity: 1;
    }
}

/* Styles the container, which contains the logo, cart and hamburger icons  */
.nav-buttons {
    display: flex;

    /* Prevents buttons from wrapping to a new line -> only the collapsible menu should wrap to next line*/
    flex-wrap: nowrap;

    /* Aligns buttons vertically */
    align-items: center;
}

/* Styles for the burger menu button when it's in the open state */
.burger-menu-open {
    /* Use a burger icon for the open state */
    background-image: url("../assets/images/header/burger.svg");

    background-color: transparent;
    background-repeat: no-repeat;
    height: var(--size-sm);
    width: var(--size-sm);
    margin: var(--space-02);
    background-position: center center; /* Centers the icon */

    /* Smooth visual transitions using the keyframe above.
       Applies a rotation animation (defined earlier) */
    transition: transform 0.15s ease-in-out, opacity 0.3s ease-in-out;
    animation: rotateToBurger 0.3s ease-in-out;
}

/* Styles for the burger menu button when it's in the close state */
.burger-menu-close {
    /* Uses a close icon for the closed state */
    background-image: url("../assets/images/header/close.svg");

    /* Smooth visual transitions using the keyframe above
       Applies a rotation animation (defined earlier) */
    transition: transform 0.15s ease-in-out, opacity 0.3s ease-in-out;
    animation: rotateToClose 0.3s ease-in-out;
}

/* Styles for the cart button */
button#cart {
    /* Uses a cart icon */
    background-image: url("../assets/images/header/cart.svg");

    background-color: transparent;
    background-repeat: no-repeat;
    height: var(--size-sm);
    width: var(--size-sm);
    margin: var(--space-04);
    background-position: center center;
}

/* Styles for the CTA donate button which remains fixed wrt the viewport */
button#donate {
    background-color: var(--color-call-to-action);
    color: var(--color-on-call-to-action);
    padding: var(--space-04);

    /* Sticks to the bottom-right corner of the viewport */
    position: fixed;
    bottom: 3vh;
    right: 3vw;

    /* Bold font weight with red background to emphasize the CTA */
    font-weight: 600;
    font-size: var(--font-md);
    border-radius: var(--radius-sm); /* Rounded corners */
    text-transform: uppercase;
    z-index: 99; /* Ensures it appears above other content */
}

/* Inform the user visually that their cursor is on the button */
button#donate:hover {
    background-color: var(--color-call-to-action-hover);
}

/* Hides any text content inside header buttons. This satisfies the ACCESSIBILITY requirements. */
header button span {
    display: none;
}

/* Style the charity logo as a flexbox container */
.logo {
    display: flex;
    color: var(--color-on-background);
    text-decoration: none; /* Remove underline from links within logo */
    flex-direction: row;
    padding: var(--space-03);
    background-color: var(--color-background);
}

/* Style the content area within the logo */
.logo-content {
    display: flex;
    flex-direction: column; /* Arrange content vertically */
    justify-content: center;
    align-content: flex-start; /* Align content at the top of the column */
    text-align: center; /* Center text horizontally (flex dir is column!!) */
    margin-left: var(--space-02);
    font-weight: 800;
    font-size: var(--font-sm);
    text-transform: uppercase;
}

/* Style the first span element within logo content */
.logo-content span:first-child {
    font-weight: 400;
    font-size: var(--font-md);
}

/* Image Styles within Logo */
.logo img {
    height: 100%;
    width: var(--size-md);
    max-width: 200px;
    border: none;
}

/* Responsive styling for more modern mobile phones */
@media only screen and (min-width: 350px) {
    .burger-menu-open {
        margin: 0 var(--space-06);
        height: var(--size-md);
        width: var(--size-md);
    }
}

/* Styling for medium viewports such as tablets and mobile in landscape mode */
@media only screen and (min-width: 768px) {
    .logo-content {
        margin-left: var(--space-03);
        font-size: var(--font-md);
    }

    .logo-content span:first-child {
        font-size: var(--font-lg);
    }

    /* Image Styles within Logo */
    .logo img {
        width: var(--size-lg);
    }
}

/* Styling for large viewports such as desktops */
@media only screen and (min-width: 1080px) {

    /* Update the navigation list such that it no longer appears in the next row */
    nav > ul {
        max-height: 100vh;
        order: 0;
        flex-grow: 1;
        display: flex;
        width: auto;
        justify-content: center;
        transition-duration: 0s;
        margin: 0 var(--space-04);
    }

    /* Hide the hamburger menu button as the nav bar contains everything already */
    button#hamburger {
        display: none;
    }

    header {
        align-items: center;
    }

    /* Add white space around links to give a pleasing view */
    nav > ul > li > a {
        padding: var(--space-03) var(--space-04);
        margin: 0 var(--space-03);
        border-radius: var(--radius-sm);
    }

    /* Move the donate button up and right up against the right edge */
    button#donate {
        position: fixed;
        bottom: unset;
        top: 15vh;
        right: 0;
        border-radius: var(--radius-md) 0 0 var(--radius-md);
        font-size: var(--font-lg);
    }
}

@media only print {
    /* Hide the logo and header when printing */
    .logo,
    header {
        display: none;
        max-width: 0;
        max-height: 0;
    }
}

/* Styling for the little number that shows how many items are in the shopping cart */
.cart-overlay {
    /* As the cart and the overlay share a container, we style with relative positioning */
    position: relative;
    top: -20%;
    left: -80%;
    width: 100%;
    height: 100%;
    background-color: var(--color-secondary);
    border-radius: var(--radius-md);
    font-size: var(--font-md);
    color: var(--color-on-secondary);
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Main Styling
   ========================================================================== */

/* Specific styling for images within the main DOM element */
main img {
    /* Where images are replaced elements, define their object-specific
     * properties such that they take up the entire container and are centered.
     */
    object-fit: cover;
    object-position: center;
}

/* Make main typography readable */
main p {
    line-height: var(--size-sm);
    font-weight: 400;
}

/* A utility class to apply round border on selected divs, images and other dom elements. */
.round-border {
    border-radius: var(--radius-sm);
    border: solid 2px var(--color-outline);
}

/* Setup article colours */

/* Dark text on light background  */
.article-light {
    background-color: var(--color-on-secondary);
    color: var(--color-secondary);
}

/* Light text on dark background  */
.article-dark {
    background-color: var(--color-secondary);
    color: var(--color-on-secondary);
}

.article-light > h2 {
    color: var(--color-secondary);
}

/* Styling for medium viewports such as tablets and mobile in landscape mode */
@media only screen and (min-width: 768px) {
    /* On tablets and larger, turn main into a simple column flex container */
    main {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

/* Styling for the elements that appear on scroll
   ========================================================================== */
@media only screen {

    /* Class on page load, before the user has scrolled */
    .scroll-before {
        opacity: 0;
        transform: translateY(4em);
        transition: transform 4s 0.25s cubic-bezier(0, 1, 0.3, 1),
        opacity 0.3s 0.25s ease-in;
        will-change: transform, opacity;
    }

    /* Styling after elements have become visible in the current viewport */
    .scroll-before.is-visible {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Styling for container class (main workhorse)
   ========================================================================== */

/* Styling for the content in the containers. -auto is responsive (media queries, -column remains vertically stacked*/
.content-column,
.content-auto {

    /* Vertical stacking in mobile viewport */
    display: flex;
    flex-direction: column;
    margin-top: var(--space-09);
    align-items: center;
    justify-content: center;
    gap: var(--space-03);

    width: 90%;
}

/* Limit the image widths in the auto content containers */
.content-auto img {
    max-width: 600px;
}

/* Optional styling for the large item in the content container */
.content-large-item {
    flex-grow: 2;
    padding: var(--space-06);
}

@media only screen and (min-width: 768px) {
    /* On tablets, ensure sufficient white space on either side */
    .content-column,
    .content-auto {
        width: 70%;
    }
}

@media only screen and (min-width: 1080px) {

    /* Spread out the content on desktop as more white space is available */
    .content-auto {
        gap: var(--space-06);
        flex-direction: row;
        justify-content: space-between;
    }

    /* A utility class only available on desktop, used to reverse the flex direction for row flex containers */
    .reverse {
        flex-direction: row-reverse;
    }

    /* On desktop, increase the size of the first child of auto, thus making more room for text */
    .content-auto > :first-child {
        flex-grow: 2;
    }
}

/* Testimonials styling
   ========================================================================== */
/* Container for the testimonial carousel */
.carousel {
    text-align: center;
    height: var(--size-xxl);
    padding: var(--space-04) 0;
    width: 80%;
}

/* The dots indicators at the bottom of the carousel */
.dot {
    height: var(--radius-md);
    width: var(--radius-md);
    margin: 0 var(--space-01);
    background-color: var(--color-outline);
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

/* Hide all testimonials by default */
.testimonial {
    display: none;
}

/* Styling for the active dot (not the text) */
.active-testimonial {
    background-color: var(--color-on-background);
}

/* Fade in the testimonial */
.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

/* Fade in using the opacity */
@keyframes fade {
    from {
        opacity: .4
    }
    to {
        opacity: 1
    }
}

.testimonial-dots {
    text-align: center;
}

/* Styling for the facts shown on the about and empower pages
   ========================================================================== */

/* Container for the facts */
.fact-list {

    /* On mobile, stack each fact vertically */
    display: flex;
    flex-direction: column;

    /* Hide bullet points */
    list-style: none;
}

/* Display each fact item as a vertically stacked flex container containing the h3 and p */
.fact-list > li {
    margin: var(--space-07);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* Ensure that each child of the fact list occupies the full container width */
.fact-list > li > h3,
.fact-list > li > p {
    width: 100%;
}

/* Styling for medium and larger view ports */
@media only screen and (min-width: 768px) {
    /* From tablet onwards, move the facts to a row layout */
    .fact-list {
        flex-direction: row;

        /* leave some white space either side of the fact container */
        width: 70%;
    }

    /* Ensure that each fact occupies the complete width of the container and is
     as high as necessary */
    .fact-list > li {
        width: 100%;
        height: auto;
    }

    /* On larger viewports, align items horizontally centrally */
    .fact-list > li > h3,
    .fact-list > li > p {
        text-align: center;
    }
}

/* Contact Information Styling
 * ========================================================================== */

/* Styling for the middle part of reach us" section, which contains the address, email, phone and parking info. */
.contact-info {
    margin: 0 var(--space-05);

    /* Fixed vertical stacking on all viewports */
    display: flex;
    flex-direction: column;

    /* On mobile, align centrally. On desktop, move to left aligned. */
    text-align: center;
}

/* Style for each subsection: address, email, phone */
.address,
.email,
.phone,
.directions {
    margin-bottom: var(--space-06);
}

/* NOTE: the charity wanted their phone numbers to be visible on the website instead of hidden behind a button. */

/* Style for phone list */
.phone ul {
    list-style-type: none;
    padding: 0;
}

/* Style for phone list items */
.phone li {
    margin-bottom: var(--space-03);;
}

/* Contact info styling for desktop */
@media screen and (min-width: 1080px) {

    /* Align text to left on desktop, everything else unchanged */
    .contact-info {
        text-align: left;
    }
}

/* Styling for latest content sections
   ========================================================================== */

/*  */
.latest-content {

    /* Relative position to enable overlay div */
    position: relative;
    margin: var(--space-05) 0;

    /* Use up the full width of the container and limit height */
    width: 100%;
    height: 18rem;

    /* Crop images that overflow out of the container */
    overflow: hidden;
}

/* Specific image styling within the latest content section */
.latest-content > img {

    /* Use the full height of the container */
    height: 100%;
}

/* Styling for the heading on the latest content section */
.latest-content > h3 {
    background-color: var(--color-background);
    color: var(--color-on-background);
    text-align: center;
    text-transform: unset;
    font-size: var(--font-md);
    font-weight: 600;
}

/* Overlay heading styling for tablets and larger */
@media screen and (min-width: 768px) {

    .latest-content > h3 {
        font-size: var(--font-lg);
    }
}

/* Styling for the overlay on the latest content section */
.overlay {

    /* Position the overlay in top left corner of the container, occupying full width */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;

    /* Until user hovers, the overlay is hidden away  */
    height: 0;
    opacity: 0.2;

    background-color: var(--color-background);
    border-radius: var(--radius-sm);
    overflow: hidden;

    /* Smooth animation for the overlay on hover */
    transition: 0.75s ease-in-out;
}

/* Styling for the overlay on hover */
.latest-content:hover .overlay {
    bottom: 0;
    opacity: 1;
    height: 100%;
}

/* Styling for the text within the overlay */
.overlay-text {
    height: 100%;
    width: 100%;
    color: var(--color-on-background);
    font-size: var(--font-md);
    padding: 0 var(--space-02);
    text-decoration: var(--text-decor-for-links);

    /* Position centrally */
    position: absolute;
    top: 0;
    left: 0;
    text-align: center;
    transform: translateY(50%);
}

/* Accessibility Menu Styling
   ========================================================================== */

/* Styling for the container containing all accessibility buttons */
.accessibility-menu-container {

    /* Position such that its fixed relative to the viewport */
    position: fixed;
    left: 0;
    top: 20vh;

    /* Stack the buttons vertically */
    display: flex;
    flex-direction: column;

    background-color: var(--color-background);
    border: solid 2px var(--color-outline);
    border-radius: 0 var(--radius-md) var(--radius-md) 0;

    /* Hide text and buttons initially */
    overflow: hidden;
    font-size: 0;
}

/* Styling for the collapsible part of the accessibility menu  */
.accessibility-menu {
    display: flex;
    flex-direction: column;
    outline: none;
    cursor: pointer;
    background-color: var(--color-background);

    /* Collapse the menu by default */
    height: 0;
}

/* Styling for the fontawesome generated SVGs */
.accessibility-menu-container svg {
    width: var(--size-sm);
    height: var(--size-sm);
    padding: var(--space-03);
}

/* Styling for the button background */
.accessibility-menu-container button {
    background-color: var(--color-background);
}

/* Styling when the accessibility setting has been activated */
.button-active {
    color: var(--color-button-active);
}

/* Scroll back to top button
   ========================================================================== */
button#scrollToTop {
    /* Hidden by default */
    display: none;

    /* Position is fixed relative to the viewport */
    position: fixed;
    bottom: 3vh;
    left: 3vw;

    /* Ensure it appears above items */
    z-index: 99;

    /* Box model */
    padding: var(--space-05);
    border: solid 2px var(--color-outline);

    border-radius: var(--radius-sm);
    background-color: var(--color-background);
    color: var(--color-on-background);
    cursor: pointer;
    font-size: var(--font-lg);
}

/* Inform the user when they hover over the button */
button#scrollToTop:hover {
    color: var(--color-primary);
}

/* Move the button to the right on desktop, such that it is closer to the scroll bar on right edge */
@media only screen and (min-width: 1080px) {
    button#scrollToTop {
        bottom: 5vh;
        right: 2vh;
        left: unset;
    }
}

/* Hero & banner styling
   ========================================================================== */
/* The container for the hero and banner sections */
.banner, .hero {
    width: 100%;
}

/* The image and video within the sections */
.hero > img, .banner > img, .hero > video {
    /* Ensure that the media occupies the full container */
    height: 100%;
    width: 100%;
    object-fit: cover;
    position: absolute;
}

/* Specific styling for the image within the sections */
.hero > img, .banner > img {
    /* Ensure that the image occupies the full container */
    object-position: center;
    top: 0;
    left: 0;
}

/* Specific styling for video within the hero section */
.hero > video {
    z-index: -1;
    filter: grayscale(var(--gray-scale-value));
}

/* A class to fill the viewport height with a background image */
.fill-viewport {
    position: relative;
    height: 100vh;
}

/* The overlay on top of the hero section */
.h1-overlay {
    /* Linear gradient to blend the end of the image with the next section */
    background: linear-gradient(to bottom, var(--color-gradient-start), var(--color-gradient-end));

    /* Positioning of the div within the container */
    position: absolute;
    top: 0;
    left: 0;
    min-height: 100%;
    min-width: 100%;
    z-index: 3;

    /* Position for the text within the div */
    display: flex;
    align-items: flex-end;
    justify-content: right;
    color: var(--color-background);
}

/* Event styles
   ========================================================================== */
/* Additionally class to wrap the content-auto div for the events */
.wrapped {
    flex-wrap: wrap;
    gap: var(--space-08);
}

/* Styles for individual event cards with a text overlay */
.event {
    /* Vertically stack the items using a flex container */
    display: flex;

    /* Position it ready for text overlay */
    position: relative;

    /* Limit container sizes */
    max-width: 330px;
    min-height: 500px;
    border-radius: var(--radius-md);

    /* Clip the image overflowing out of the rounded edges */
    overflow: hidden;
}

/* Styling for the text overlay on the event card */
.event-overlay {

    /* Occupy 40% of the space from the bottom, occupying full width */
    position: absolute;
    bottom: 0;
    height: 40%;
    width: 100%;

    /* Add a dark transparent background to enable readable text */
    background: rgba(0, 0, 0, 0.7);
    color: var(--color-on-secondary);

    /* Position the text centrally with some space off the edges */
    text-align: center;
    padding: var(--space-06);
}

/* Interview section specific styling
   ========================================================================== */

/* Container for the interview section */
.interview {
    /* Add space between interviews */
    margin-bottom: var(--space-06);
}

/* Styling for the interview transcript */
.interview > p {
    /* As interview is wordy, increase line spacing */
    line-height: 1.5;
    padding-bottom: var(--space-05);
}

/* Styling for the interview questions */
.interview strong {
    font-weight: 700;
}

/* Styles for resident spotlight image */
.resident-spotlight-img {
    width: 400px;
    height: 400px;
}

/* Timeline styles
   ========================================================================== */

/* The timeline container div */
.timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
}

/* The vertical ruler line */
.timeline::after {
    content: "";
    position: absolute;
    width: var(--size-xs);
    background-color: var(--color-tertiary);
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: var(--space-m01);
}

/* Container around timeline content */
.tl-container {
    padding: var(--space-03) var(--space-10);
    position: relative;
    background-color: inherit;
    width: 50%;
}

/* The circles on the timeline */
.tl-container::after {
    content: "";
    position: absolute;
    width: var(--size-sm);
    height: var(--size-sm);
    right: -1rem;
    background-color: var(--color-secondary);
    border: 4px solid var(--color-primary);
    top: 1rem;
    border-radius: 50%;
    z-index: 1;
}

/* Place the container to the left */
.left {
    left: 0;
}

/* Place the container to the right */
.right {
    left: 50%;
}

/* Add arrows to the left container (pointing right) */
.left::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 1.5rem;
    width: 0;
    z-index: 1;
    right: 2rem;
    border: solid var(--color-outline);
    border-width: 0.8rem 0 0.8rem 0.8rem;
    border-color: transparent transparent transparent var(--color-secondary);
}

/* Add arrows to the right container (pointing left) */
.right::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 1.5rem;
    width: 0;
    z-index: 1;
    left: 2rem;
    border: solid;
    border-width: 0.8rem 0.8rem 0.8rem 0;
    border-color: transparent var(--color-secondary) transparent transparent;
}

/* Fix the circle position for containers on the right side */
.right::after {
    left: -1rem;
}

/* The actual content within the timeline */
.timeline__content {
    padding: var(--space-06) var(--space-09);
    background-color: var(--color-secondary);
    position: relative;
    border-radius: var(--radius-sm);
}

/* Styling for the heading and paragraph within the timeline content */
.timeline__content > h3, .timeline__content > p {
    color: var(--color-on-secondary);
}

/* Media queries - Responsive timeline on screens less than 768px wide */
@media screen and (max-width: 768px) {
    /* Place the timeline to the left */
    .timeline::after {
        left: 2rem;
    }

    /* Full-width containers */
    .tl-container {
        width: 100%;
        padding-left: var(--space-13);
        padding-right: var(--space-07);
    }

    /* Make sure that all arrows are pointing leftwards */
    .tl-container::before {
        left: 3.75rem;
        border: solid var(--color-secondary);
        border-width: 0.8rem 0.8rem 0.8rem 0;
        border-color: transparent var(--color-secondary) transparent transparent;
    }

    /* Make sure all circles are at the same spot */
    .left::after, .right::after {
        left: 1rem;
    }

    /* Make all right containers behave like the left ones */
    .right {
        left: 0;
    }
}

/* FAQ Collapsible Styling
   ========================================================================== */
/* Styling for the collapsible button, which contains the FAQ */
.collapsible {
    background-color: transparent;
    color: var(--color-on-secondary);
    cursor: pointer;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: var(--font-md);
    font-weight: 700;
}

/* Underline the active collapsible and the one the user hover over */
.collapsible-active, .collapsible:hover {
    text-decoration: underline;
}

/* Collapsible plus icon  */
.collapsible:after {
    content: "\002B";
    float: right;
    margin-left: 5px;
}

/* Active collapsible icon (minus) */
.collapsible-active:after {
    content: "\2212";
}

/* Collapsible content (the answer) */
.collapsible-content {
    padding: 0;
    width: 100%;
    max-height: 0;
    overflow: hidden;

    /* Smooth transition when expanding or collapsing content */
    transition: max-height 0.2s ease-out;
}

/* White space for the actual text */
.collapsible-content > p {
    padding: var(--space-02);
    text-align: left;
}

/* Hyperlinks within the collapsible answers */
.collapsible-content a {
    color: var(--color-primary);
    text-decoration: underline;
}

/* Form Styles
   ========================================================================== */
/* The primary container for each form */
.form-container {
    max-width: 640px;
    margin: auto;
    padding: var(--space-03);
    border-radius: var(--space-03);
}

/* Wider form container */
.form-container-wide {
    max-width: 900px;
}

/* Form typography */
.form-container > p {
    text-align: center;
}

/* Form as a grid */
.form {
    display: grid;
    gap: var(--space-03);
    line-height: 1.3;
    accent-color: var(--color-primary);
    font-weight: 400;
}

/* Styles for labels, groups, checkboxes, and submit buttons */
.form label,
.group,
.checkbox,
.form [type="submit"] {
    margin-top: var(--space-06);
}

.form label,
.group {
    color: var(--color-on-primary);
}

/* Spacing around the radio GROUP */
[role="radiogroup"] > div + div {
    margin-top: var(--space-03);
}

.form select {
    background-color: var(--color-background);
    color: var(--color-on-background);
}

/* Spacing and round corner for the form elements */
.form input,
.form button,
.form select,
.form textarea {
    padding: var(--space-02);
    border-radius: var(--radius-xs);
}

/* Make the submit button more distinctive than other buttons */
.form [type="submit"] {
    border-radius: var(--radius-xs);
    border: none;
    background-color: var(--color-background);
    color: var(--color-on-background);
    padding: var(--space-03) var(--space-03);
    min-width: 100px;
    font-weight: 700;
}

/* On-hover styling for form buttons */
.form [type="submit"]:hover,
.form button:hover {
    color: var(--color-primary);
}

/* Inform the user about invalid inputs */
.form input:invalid {
    border-color: var(--color-call-to-action);
}

/* Media query for screens with minimum width of 768px */
@media screen and (min-width: 768px) {

    /* Split the form labels and user inputs for larger viewports */
    .form {
        grid-template-columns: 1fr 2fr;
        gap: var(--space-07);
    }

    /* Remove unnecessary top white space now that labels are to the left */
    .form label,
    .group,
    .checkbox,
    .form [type="submit"] {
        margin-top: 0;
    }

    /* Move the checkbox to be left-aligned with the radio buttons and user inputs  */
    .checkbox {
        grid-column-start: 2;
    }

    /* Ensure submit button ends up on the user input side of the grid, and is centered horizontally */
    .form [type="submit"] {
        grid-column: 1 / span 2;
        justify-self: center;
    }
}

/* Card Styling. This styles the card grid on about and empower pages
   ========================================================================== */

/* Mobile first styling for the container: single column grid layout */
.card-container {
    display: grid;
    grid: auto-flow / 1fr;

    /* Add white space between cards and above and below the container */
    grid-gap: var(--space-08);
    margin: var(--space-11) 0;
}

/* Styling for the card element */
.card {

    /* Vertical stacking */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: var(--space-04);

    /* Ensure that all items within the card appear centrally aligned */
    text-align: center;

    /* Beautify the card */
    background-color: var(--color-background);
    color: var(--color-secondary);
    border: solid 2px var(--color-outline);
    border-radius: var(--radius-md);

    /* Limit the card size so that it does not appear enormous on small screens */
    max-width: 300px;

    /* Crop any content that spills out of the card */
    overflow: hidden;
}

/* Card title */
.title {
    color: var(--color-tertiary);
}

/* Telephone contact link at the bottom of the card */
.tel {
    border: none;
    padding: var(--space-03);
    color: var(--color-on-background);
    background-color: var(--color-background);
    text-align: center;
    cursor: pointer;
    width: 100%;
    text-decoration: var(--text-decor-for-links);
}

.tel:hover {
    background-color: var(--color-alpha-hover);
}

/* Media query for screens with a minimum width of 768px */
@media only screen and (min-width: 768px) {

    /* On tablets and larger, display the cards in a two column grid layout */
    .card-container {
        grid: auto-flow / repeat(2, 1fr);
    }
}

@media screen and (min-width: 1560px) {
    /* On desktops and larger, display the cards in a four column grid layout */
    .card-container {
        grid: 1fr / repeat(4, 1fr);
    }
}

/* Product cards styles
   ========================================================================== */

/* Specific Styling for the price element */
.price {
    color: var(--color-on-background);
    font-size: var(--font-lg);
    margin: var(--space-04) 0;
}

/* Add to cart button inside the card */
.card button {
    border: none;
    outline: 0;
    padding: var(--space-04);
    color: var(--color-on-secondary);
    background-color: var(--color-secondary);
    text-align: center;
    cursor: pointer;
    width: 100%;
    font-size: var(--font-md);
}

/* Add to cart button when hovered */
.card button:hover {
    opacity: 0.6;
}

/* Specific styling for the image element inside the card, ensuring uniformity across the cards */
.card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/* Footer styles
   ========================================================================== */

/* The footer is 4 column grid on mobile  */
footer {
    background-color: var(--color-background);
    color: var(--color-on-background);
    display: grid;
    grid: auto-flow / 1fr 2fr 2fr 1fr;
    grid-gap: var(--space-05);
    grid-template-areas:
        ". home      social    ." /* Define the grid areas */
        ". updates   about     ." 
        ". contact   empower   ."
        ". copyright copyright .";
    padding: var(--space-05) 0;
    margin: 0;
}

/* Styling for the footer links on hover */
footer a:hover {
    color: var(--color-primary);
}

/* Remove bullet points from list and ensure cursor is a pointer*/
footer li {
    list-style-type: none;
    font-size: var(--font-sm);
    margin: var(--space-02) var(--space-05);
}

/* Center align text within the footer */
footer > div, footer > section {
    text-align: center;
}

/* Create a small 2x2 grid for the social media links */
.social > ul {
    max-width: 50%;
    display: grid;
    grid: 1fr 1fr / 1fr 1fr;
    gap: var(--space-01);
    align-items: center;
    align-content: center;
    justify-content: center;
    justify-items: center;
    margin: auto;
}

/* Make the footer h4s slightly larger */
footer > section > h4 {
    font-size: var(--font-lg);
    margin: var(--space-03) 0;
}

/* Assign grid areas for the footer */
.social {
    grid-area: social;
}

.empower {
    grid-area: empower;
}

.home {
    grid-area: home;
}

.contact {
    grid-area: contact;
}

.about {
    grid-area: about;
}

.address {
    grid-area: address;
}

.copyright {
    grid-area: copyright;
}

.updates {
    grid-area: updates;
}

.social svg {
    width: var(--size-sm);
    height: var(--size-sm);
}

/* Desktop and larger viewports */
@media only screen and (min-width: 1080px) {
    /* Make the social media section a flex container on desktop */
    .social > ul {
        display: flex;
        flex-direction: row;
    }

    /* On desktop, the footer is a 7 column grid */
    footer {
        grid: auto-flow / repeat(7, 1fr);
        grid-template-areas:
        "social    social    social    social    social    social    social"
        ".         updates   about     contact   empower   home      ."
        "copyright copyright copyright copyright copyright copyright copyright";
    }
}

/* Utility classes (these MUST dominate)
   ==========================================================================*/

@media only screen {
    /* Apply this class to hide the DOM element, except when on screen readers  */
    .hidden {
        font-size: 0;
    }
}

@media only screen and (min-width: 1080px) {
    /* Utility class to zoom in when the mouse if hovered over the specified element */
    .zoom-in-on-hover {
        transform: scale(0.9);
        transition: transform 0.3s ease-in-out;
    }

    /* Default scale is 90% as specified above and on hover changes to 100% */
    .zoom-in-on-hover:hover {
        transform: scale(1);
    }

}
